<template>
	<view class="container" style="height: auto;">
		<view style="margin: 0.5rem;">
			<button class="mini-btn" style="background-color: cornflowerblue; margin-right: 10px;" type="primary"
				size="mini">素材下载</button>
			<button @click="toTab(2)" class="mini-btn" type="default" size="mini">短信审核</button>
			<button @click="toTab(3)" class="mini-btn" type="default" size="mini">微信朋友圈</button>
		</view>

		<cc-pullScroolView class="pullScrollView" ref="pullScroll" :enablePullDown="false" :back-top="false">
			<view>
				<view v-if="productList.length>0" class="orders-list d-flex flex-column w-100"
					style="padding: 20rpx; padding-bottom: 0;">
					<view class="order-item" v-for="(item, index) in productList" :key="index"
						style="margin-bottom: 30rpx;">
						<list-cell :hover="false">
							<image :src="item.img"></image>
						</list-cell>
						<list-cell :hover="false" last>
							<view class="w-100 d-flex flex-column">
								<view class="w-100  font-size-lg text-color-base">
									{{ item.smscontent}}
								</view>
								<view class="w-100  font-size-lg text-color-base" style="margin-bottom: 20rpx;">
									<view>
										{{item.subject}}
									</view>
									<view style="color: #ef1913;">
										¥{{item.min_price}}-{{item.max_price}}
									</view>
								</view>
								<view class="d-flex justify-content-between align-items-center"
									style="margin-bottom: 30rpx;">
									<!-- <view class="font-size-sm text-color-assist">
										{{item.wantsendtime}}
									</view> -->
									<view class="d-flex font-size-sm text-color-base align-items-center">
										<view style="display: flex;">

											<view style="display: flex;flex-wrap:wrap;" v-if="currentId==item.id">
												<view style="margin: 0.3rem;" v-for="(linkitem, linkindex) in currentLink" :key="linkindex">
													<button @click="download(linkitem)" type="primary">
														下载{{linkindex}}
													</button>
												</view>
											</view>
											<view v-else>
												<button type="primary"
													style="background-color: #ef1913; margin-right: 5rem;"
													@click="getProductDetail(item.id)">获取下载链接</button>
											</view>
										</view>
									</view>
								</view>
							</view>
						</list-cell>
					</view>
				</view>

			</view>
		</cc-pullScroolView>
	</view>
</template>

<script>
	import comUtils from '@/utils/ComUtils.js'
	export default {
		data() {
			return {
				currentTab: 0,
				productList: [],
				curPageNum: 1,
				pageCount: 10,
				totalNum: 0,
				currentLink: [],
				currentId: ''
			}
		},
		onLoad(option) {
			//this.checkId();
			this.getTemplateData();
		},

		// 上拉加载
		onReachBottom() {
			if (this.curPageNum * this.pageCount < this.totalNum) {
				// 数据为加载完
				this.$refs.pullScroll.showUpLoading();
				this.curPageNum++;
				this.getTemplateData();
			}
		},
		methods: {
			toPyq() {
				uni.navigateTo({
					url: '/pages/ad_page/wx_pyqset'
				})
			},
			//检查白名单
			checkId() {
				var openId = uni.getStorageSync('smsopenid');
				var whiteid = comUtils.getAllowdId(status);
				if (openId == "" || whiteid.indexOf(openId) < 0) {
					uni.reLaunch({
						url: '/pages/emptypage/nopermissions'
					})
				} else {
					this.getTemplateData();
				}
			},
			getProductDetail(id) {
				let param = {
					ProductId: id
				}
				this.$http.post('/api/ProductInfo/GetDaiFaDetail', param).then(e => {
					var prodetail = e.result;
					var linkArr = prodetail.productImage.images;
					linkArr.push(prodetail.mainVedio);
					this.currentLink = prodetail.productImage.images;
					this.currentId = id;
				}).catch(function(err) {
					console.log(err);
				})
			},
			//下载
			download(link) {
				uni.downloadFile({
					url: link,
					success: (res) => {
						if (res.statusCode === 200) {
							var oA = document.createElement("a");
							oA.download = ''; // 设置下载的文件名，默认是'下载'
							oA.href = res.tempFilePath; //临时路径再保存到本地
							document.body.appendChild(oA);
							oA.click();
							oA.remove(); // 下载之后把创建的元素删除
						}
					},
					fail: (res) => {}
				});
			},
			toTab(tabtype) {
				var url = '';
				switch (tabtype) {
					case 1:
						url = '/pages/ad_page/product_sc';
						break;
					case 2:
						url = '/pages/ad_page/sms_examine';
						break;
					case 3:
						url = '/pages/ad_page/wx_pyqset';
						break;
				}
				uni.navigateTo({
					url: url
				})
			},
			getTemplateData() {
				let param = {
					PageNo: this.curPageNum,
					PageSize: this.pageCount
				}
				uni.showLoading({
					title: '加载中'
				})
				this.$http.post('/api/ProductInfo/GetDaiFaProductList', param).then(e => {
					this.totalNum = e.result.totalCount;
					this.productList = this.productList.concat(e.result.data);
					if (this.curPageNum * this.pageCount >= this.totalNum) {
						// 如果是最后一页
						this.$refs.pullScroll.finish();
					} else {
						// 不是最后一页
						this.$refs.pullScroll.success();
					}
					uni.hideLoading()
				}).catch(function(err) {
					uni.hideLoading()
					console.log(err);
				})


			}
		}
	}
</script>

<style lang="scss" scoped>
	page {

		height: 100%;
	}

	.taskid-show {
		text-overflow: ellipsis;
		overflow: hidden;
		white-space: nowrap;
		width: 80%;
	}

	.container {
		display: flex;
		flex-direction: column;
		padding: 0.4rem;
	}

	.uni-flex {
		display: flex;
	}

	.uni-flex-row {
		@extend .uni-flex;
		flex-direction: row;
		box-sizing: border-box;
	}

	/* 列表footer */
	.uni-footer {
		@extend .uni-flex-row;
		justify-content: right;
		margin-top: $uni-spacing-col-lg;
	}

	.uni-footer-text {
		font-size: 14px;
		color: $uni-text-color-grey;
		margin-left: 5px;
		color: #FF928F;
		font-weight: 700;
	}
</style>